Attribute VB_Name = "IPV_MCMF"
Option Explicit

Private Function MF_Cpos(vrq As Single, vrPu As Single, vrT As Single)
    
    Cpos = (vrq / 2) * vrPu * vrT
    
    
End Function

Private Function MF_Cadm(vrq As Single, vrQa As Single, vrCc As Single)
    
    Cadm = (vrQa / vrq) * vrCc
    
End Function

Private Function MF_Cges(vrq As Single, vrQa As Single, vrCc As Single, vrPu As Single, vrT As Single)
    Dim rCPos As Single, rCadm As Single
    
    rCPos = MF_Cpos(vrq, vrPu, vrT)
    rCadm = MF_Cadm(vrq, vrQa, vrCc)
    MF_Cges = rCPos + rCadm
  
End Function

Private Function MF_Qe(vrQa As Single, vrCc As Single, vrPu As Single, vrT As Single)

    MF_Qe = Sqr((2 * vrQa * vrCc) / (vrPu * vrT))
     
End Function

Sub MC_Obs_Classes_Modele()
'
' FMD_Obs_Classes_Modele Macro
'
' Touche de raccourci du clavier: Ctrl+Shift+F
'
    ActiveCell.FormulaR1C1 = "N à t = 0"
    Range("A3").Select
    ActiveCell.FormulaR1C1 = "tdeb"
    Range("B3").Select
    ActiveCell.FormulaR1C1 = "tfin"
    Range("C3").Select
    ActiveCell.FormulaR1C1 = "tc"
    Range("D3").Select
    ActiveCell.FormulaR1C1 = "dt"
    Range("E3").Select
    ActiveCell.FormulaR1C1 = "dN(tc)"
    Range("F3").Select
    ActiveCell.FormulaR1C1 = "N(tdeb)"
    Range("G3").Select
    ActiveCell.FormulaR1C1 = "R(tdeb)"
    Range("H3").Select
    ActiveCell.FormulaR1C1 = "La(tc)"
    Range("C4").Select
    ActiveCell.FormulaR1C1 = "=RC[-2]+(RC[-1]-RC[-2])/2"
    Range("D4").Select
    Application.CutCopyMode = False
    ActiveCell.FormulaR1C1 = "=RC[-2]-RC[-3]"
    Range("F4").Select
    ActiveCell.FormulaR1C1 = "=R[1]C"
    Range("F5").Select
    Application.CutCopyMode = False
    ActiveCell.FormulaR1C1 = "=R[-1]C-R[-1]C[-1]"
    Range("F5").Select
    ActiveCell.FormulaR1C1 = "=R[-1]C-R[-1]C[-1]"
    Range("F5").Select
    ActiveCell.FormulaR1C1 = "=R[-1]C-R[-1]C[-1]"
    Range("G4").Select
    ActiveCell.FormulaR1C1 = "=RC[-1]/R1C[-5]"
    Range("H4").Select
    ActiveCell.FormulaR1C1 = "=IF(RC[-3]>0,RC[-3]/RC[-2]/RC[-4],0)"
    Range("H5").Select
End Sub